<?php 

namespace Concrete\Package\JlElephpantInfo\Controller\SinglePage\Dashboard\System\Environment;

use Request;
use Concrete\Core\Page\Controller\DashboardPageController;

defined('C5_EXECUTE') or die('Access Denied');

/*
 * John Liddiard (aka JohntheFish) www.c5magic.co.uk
 * This software is licensed under the terms described in the concrete5.org marketplace.
 * Please find the add-on there for the latest license copy.
 */

class ElephpantInfo extends DashboardPageController
{
    public function on_start()
    {
        $this->addHeaderItem($this->some_css());
    }

    public function view()
    {
        $data = Request::post();

        $poss_info_cats = array(
            'INFO_GENERAL' => t('General'),
            //INFO_CREDITS 		=>	t('Credits'), // dont really want the rubbish stuff
            'INFO_CONFIGURATION' => t('Configuration'),
            'INFO_MODULES' => t('Modules'),
            'INFO_ENVIRONMENT' => t('Environment'),
            'INFO_VARIABLES' => t('Variables'),
            'INFO_LICENSE' => t('License'),
            'JTF_SUPPORT' => t('Addon Support')
        );
        $this->set('poss_info_cats', $poss_info_cats);

        /*
         * See what button was clicked. Should only be one category.
         * This is just an easy way to check through them in sequence
         */
        $info_cats = array();
        foreach ($data as $ky => $val) {
            if (preg_match("/ccm\-submit\-/i", $ky)) {
                $cat = array_search($val, $poss_info_cats);
                if ($cat !== false) {
                    $info_cats[] = $cat;
                }
            }
        }
        if (empty($info_cats)) {
            $info_cats[] = 'INFO_GENERAL';
        }

        $this->set('info_cat', reset($info_cats));
    }

    /**
     * Some css to pretty up the output format
     */
    public function some_css()
    {
        ob_start();
        ?>
        <style type="text/css">    
            #phpinfo_form .ccm-dashboard-header-buttons .btn{
                margin-left:5px;  
                margin-bottom:5px;  
            }
            #phpinfo_form .elephpant_header_menu .dropdown-menu {
                right:0;
                left:auto;
            }
            #plain_text_controls{
                margin-top:10px;
            }
            #phpinfo_form tr > td:first-child, #phpinfo_form th
            {
                background: #EEE;
            }
            #phpinfo_form td.v{
                word-wrap: break-word;
                white-space: pre-wrap;
                word-break: break-all;
            }
            #phpinfo_form pre{
                word-wrap: break-word;
                white-space: pre-wrap;
                word-break: break-word;
            }
            #phpinfo_form h2 a, #phpinfo_form h2 a:hover{
                text-decoration:none;
                color: inherit;
            }
            #selectable_text{
                position: relative;
            }
            #selectall{
                top: 5px;
                right: 10px;
                position: absolute;
                display: block;
            }
        </style>
        <?php 

        $css = ob_get_contents();
        ob_end_clean();
        return $css;
    }

}
